Name:           python-oracledb
Version:        1.4.1
Release:    1%{?dist}
Summary:        OracleDB Driver

License:        Apache-2.0 OR UPL-1.0
URL:            https://oracle.github.io/python-oracledb/
Source0:         %{pypi_source oracledb}

BuildRequires:  python3-devel
BuildRequires:  gcc

%global _description %{expand:
The python-oracledb driver is a Python programming language extension module
allowing Python programs to connect to Oracle Database. Python-oracledb 
is the new name for Oracle's popular cx_Oracle driver.}

%description %_description

%package -n python3-oracledb
Summary:        %{summary}

%description -n python3-oracledb %_description


%prep
%autosetup -p1 -n oracledb-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files oracledb


%check


%files -n python3-oracledb -f %{pyproject_files}


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-1
- initial build
